/*
 * KresliciPlocha.java
 *
 * Created on 27. jen 2006, 11:57
 *
 */

package hracka;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 *
 * @author Miroslav Balk
 * Tato tda reprezentuje kreslc plochu. Zkladn metoda pro vykreslovn je metoda paint,
  kter m jako parametr Graphics g. Ostatn metody umouj dlat obsluhy jednotlivch udlost klvesnice 
 a myi
 */
public class KresliciPlocha extends JToggleButton{
    Rizeni rizeni;
    Model model;
    /** konstruktor, nastaveni ovladani
     */
    public KresliciPlocha(Rizeni r, Model m){
       super();
       rizeni = r;
       model = m;
       // zaregistruj se u modelu
       model.plocha = this;
       setBorderPainted(false);//nechceme kreslit ohrani4en9
       setContentAreaFilled(false);//bez vyplne
//       this.setBackground(new Color(0,0,255)); //nastaveni barvy pozadi na barvu modrou - slozky r,g,b
       aktivujAkciKlaves();
       aktivujAkciMysi();
       }
    private void aktivujAkciKlaves(){
       addKeyListener(new KeyAdapter() {
            public void keyPressed(KeyEvent evt) {
                rizeni.klavesaDolu(evt);
            }
            public void keyReleased(KeyEvent evt) {
                rizeni.klavesaNahoru(evt);
            }            
        });      
    }
    private void aktivujAkciMysi(){
        addMouseListener(new MouseAdapter() {
            public void mousePressed(MouseEvent evt) {
                rizeni.mysDolu(evt);
            }
            public void mouseReleased(MouseEvent evt) {
                rizeni.mysNahoru(evt);
            }

        });    
    }
    
    public void paintComponent(Graphics g){
        super.paintComponent(g);
        g.drawOval(10,10,100,200);
        model.kresliVse(g);
    }
           
}
