/*
 * Model.java
 *
 * Created on 6. listopad 2006, 13:15
 *
 */

package hracka;

import java.awt.Graphics;
import java.awt.Point;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.Timer;

/**
 *
 * @author Miroslav Balk
 * Model reprezentuje model hry, tedy pozici panacka, pozici bomby a jej stav
 * bombu pokldme pomoc myi
 */
public class Model {
    /** pozice panacka, sprvn by mla bt private a metody pro nastaven pozice by mly kontrolovat hranice.
     *lpe by bylo, aby panek byl samostatn objekt, ale teprve zanme.
     */
    public Point pozicePanacka = new Point(100,100);
    
    public Point poziceBomby = new Point(10,10);
    public int pocetSekundDoVybuchu = -1;
    public int pocetBodu = 0;
    
    public KresliciPlocha plocha;
    
    
    /**
     *prodleva v milisekundch
     */
    public int prodleva = 100; //millisekund
    
    
    /** Vytvo model */
    public Model() {
        //sem uvdjte inicializace
        ActionListener taskPerformer = new ActionListener() { //vytvoen timeru - budku, 
            public void actionPerformed(ActionEvent evt) {
                tikTak(); // kadou sekundu - 1000ms (zvis na hodnot prodleva), se bude volat tato metoda
            }
        }; 
        new Timer(prodleva, taskPerformer).start(); //start budku
    }
    /**
     *metoda volan v zvislosti na prodlev
     *sem uvdjte zmny modelu vyvolvan pravideln, nap. posun vech ltajcch objekt i jin zmny jejich stavu
     */ 
    public void tikTak(){

       if(pocetSekundDoVybuchu<1)poziceBomby.x = -10;//ukryti bomby mimo plochu
       repaint();
       if(getVzdalenost(poziceBomby,pozicePanacka)<10){//kontrola zda jsou blizko sebe
           // seber body
           pocetBodu+=pocetSekundDoVybuchu;
           poziceBomby.x = -10; //poloz bombu mimo obraz
       }
       if(pocetSekundDoVybuchu>0)pocetSekundDoVybuchu--; //sniz pocet sekund do vybuchu       
    }
    /**
     *vypocte vzdalenost dvou bodu
     */
    public int getVzdalenost(Point a, Point b){
        int dx = a.x - b.x;
        int dy = a.y - b.y;
        return (int)(Math.sqrt(dx*dx+dy*dy));
    }
    public void kresliPanacka(Graphics g){
        int x = pozicePanacka.x;
        int y = pozicePanacka.y;
        g.drawOval(x-5,y-10,10,10);//hlava
        g.drawLine(x,y,x,y+10);//telo
        g.drawLine(x-5,y+2,x+5,y+2);//ruce
        g.drawLine(x,y+10,x+5,y+20);//noha
        g.drawLine(x,y+10,x-5,y+20);//noha
        
    }
    public void kresliVse(Graphics g){
        // vykresli bombu //bomba by mla bt objekt a vykreslen si zajistit sama!!!
        g.fillOval(poziceBomby.x,poziceBomby.y,10,10);
        g.drawString(" "+pocetSekundDoVybuchu,poziceBomby.x,poziceBomby.y);
        //vypis skore
        g.drawString("Body: "+pocetBodu,10,10);
        
        //vykresli panacka
        kresliPanacka(g);
        
        
    }
    /** zajisti prekresleni vsech pohled
     */
    public void repaint(){
       // mm pouze jeden pohled
        plocha.repaint();
    }
    
}
